Skip to main content
POST
/
packages
/
{package_id}
/
validations
Run Package Validation
curl --request POST \
  --url https://api.xplenty.com/{account_id}/api/packages/{package_id}/validations \
  --header 'Accept: <accept>' \
  --header 'Authorization: Basic <encoded-value>'
import requests

url = "https://api.xplenty.com/{account_id}/api/packages/{package_id}/validations"

headers = {
"Accept": "<accept>",
"Authorization": "Basic <encoded-value>"
}

response = requests.post(url, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Accept: '<accept>', Authorization: 'Basic <encoded-value>'}
};

fetch('https://api.xplenty.com/{account_id}/api/packages/{package_id}/validations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": 123,
  "errors": [
    {}
  ],
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "package_id": 123
}

Authorizations

Authorization
string
header
required

Enter your API key as the username. Leave the password field blank. Example: curl -u YOUR_API_KEY: https://api.xplenty.com/...

Headers

Accept
string
default:application/vnd.xplenty+json; version=2
required

API version header — required on all requests

Path Parameters

package_id
integer
required

The unique ID of the package

Response

201 - application/vnd.xplenty+json; version=2

Validation initiated

id
integer
status
enum<string>
Available options:
running,
completed,
failed
errors
object[]
created_at
string<date-time>
updated_at
string<date-time>
package_id
integer
Last modified on June 9, 2026